org.apache.fop.util

## Class ColorSpaceCache

- java.lang.Object
- - org.apache.fop.util.ColorSpaceCache

-     public class ColorSpaceCache
      extends java.lang.Object

  Map with cached ICC based ColorSpace objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorSpaceCache(InternalResourceResolver resourceResolver)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.color.ColorSpace` | `get(java.lang.String profileName, java.lang.String iccProfileSrc, org.apache.xmlgraphics.java2d.color.RenderingIntent renderingIntent)` Create (if needed) and return an ICC ColorSpace instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColorSpaceCache

          public ColorSpaceCache(InternalResourceResolver resourceResolver)

      Default constructor
      Parameters:
        `resourceResolver` - uri resolver

  - ### Method Detail

    - #### get

          public java.awt.color.ColorSpace get(java.lang.String profileName,
                                               java.lang.String iccProfileSrc,
                                               org.apache.xmlgraphics.java2d.color.RenderingIntent renderingIntent)

      Create (if needed) and return an ICC ColorSpace instance. The ICC profile source is taken from the src attribute of the color-profile FO element. If the ICC ColorSpace is not yet in the cache a new one is created and stored in the cache. The FOP URI resolver is used to try and locate the ICC file. If that fails null is returned.
      Parameters:
        `profileName` - the profile name
        `iccProfileSrc` - ICC Profile source to return a ColorSpace
        `renderingIntent` - overriding rendering intent
      Returns:
        ICC ColorSpace object or null if ColorSpace could not be created

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.